from sqlalchemy import Table, Column, MetaData, Integer, String, Text

metadata_obj = MetaData()


# MAIN_DB TABLES

experiment_table = Table(
    "experiment",
    metadata_obj,
    Column("id", Integer, nullable=False, primary_key=True),
    Column("name", String, nullable=False),
    Column("description", String, nullable=False),
    Column("autosubmit_version", String),
)

details_table = Table(
    "details",
    metadata_obj,
    Column("exp_id", Integer, primary_key=True),
    Column("user", Text, nullable=False),
    Column("created", Text, nullable=False),
    Column("model", Text, nullable=False),
    Column("branch", Text, nullable=False),
    Column("hpc", Text, nullable=False),
)


# AS_TIMES TABLES

experiment_times_table = Table(
    "experiment_times",
    metadata_obj,
    Column("exp_id", Integer, primary_key=True),
    Column("name", Text, nullable=False),
    Column("created", Integer, nullable=False),
    Column("modified", Integer, nullable=False),
    Column("total_jobs", Integer, nullable=False),
    Column("completed_jobs", Integer, nullable=False),
)

experiment_status_table = Table(
    "experiment_status",
    metadata_obj,
    Column("exp_id", Integer, primary_key=True),
    Column("name", Text, nullable=False),
    Column("status", Text, nullable=False),
    Column("seconds_diff", Integer, nullable=False),
    Column("modified", Text, nullable=False),
)
